#include <iostream>

using namespace std;

pair<int, int> niz[4];

int main()
{
    int n;
    cin >> n;
    for(int i = 0; i < n; i++){
        int x, y;
        cin >> x >> y;
        niz[i] = {x, y};
    }
    p1 = 0.5*abs(niz[0].first(niz[1].second*niz[2].second) + niz[1].first(niz[2].second*niz[0].second) + niz[2].first(niz[0].second*niz[1].second))
    p2 = 0.5*abs(niz[3].first(niz[1].second*niz[2].second) + niz[1].first(niz[2].second*niz[3].second) + niz[2].first(niz[3].second*niz[1].second))
    p3 = 0.5*abs(niz[0].first(niz[1].second*niz[3].second) + niz[1].first(niz[3].second*niz[0].second) + niz[3].first(niz[0].second*niz[1].second))
    p4 = 0.5*abs(niz[0].first(niz[3].second*niz[2].second) + niz[3].first(niz[2].second*niz[0].second) + niz[2].first(niz[0].second*niz[3].second))
    cout << max(max(p1, p2), max(p3, p4));
    return 0;
}